<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: file_uploads_admin.php
| Author  :FlyingDuck (Claus Pedersen)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."member_file_uploads/file_upload_config.php";

if (file_exists(INFUSIONS."member_file_uploads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."member_file_uploads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."member_file_uploads/locale/English.php";
}
add_to_title(" | ".$locale['fup103']."");

if (!checkrights("FIUP")) redirect("../index.php");

if (isset($_GET['del'])) {
  $upload_folder = "".BASEDIR."downloads/";
	unlink($upload_folder.$_GET['del']);
	$remove = dbquery("DELETE FROM ".$db_prefix."member_files WHERE file_name = '".$_GET['del']."'");
	opentable($locale['fup110']);
	echo "<center><br>
".$locale['fup111']."<br><br>
<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['fup113']."</a><br><br>
</center>\n";
	closetable();
} else if (isset($_POST['upload_file'])) {
	$upload = $_FILES['upload'];
	if ($upload['name'] != "" && !empty($upload['name']) && is_uploaded_file($upload['tmp_name']) && $upload['size'] <= $upload_maxsize) {
		$upload_ext = strrchr($upload['name'],".");
		if (in_array($upload_ext, $upload_extensions)) {
			$upload_name = $upload['name'];
			move_uploaded_file($upload['tmp_name'], $upload_folder.$upload_name);
			chmod($upload_folder.$upload_name,0644);
			$result = dbquery("INSERT INTO ".$db_prefix."member_files VALUES ('', '".$userdata['user_id']."', '$upload_name')");
		} else {
			$upload_error = $locale['fup124'];
		}
	} else {
		$upload_error = $locale['fup125'];
	}
	opentable($locale['fup130']);
	echo "<center><br>
".(!isset($upload_error) ? $locale['fup123'] : $upload_error)."<br><br>
<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br><br>
<a href='".ADMIN."index.php'>".$locale['fup113']."</a><br><br>
</center>\n";
	closetable();
} else {
	opentable($locale['fup120']);
	echo "<form name='uploadform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>
<table align='center' width='350' cellspacing='0' cellpadding='0'>
<tr>
<td width='80' class='tbl'>".$locale['fup121']."</td>
<td class='tbl'><input type='file' name='upload' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='upload_file' value='".$locale['fup120']."' class='button' style='width:100px;'><br><br>
".$locale['fup122'].parseByteSize($upload_maxsize)."</td>
</tr>
</table>
</form>\n";
	closetable();
	opentable($locale['fup130']);
	echo "<table width='500' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td class='tbl2'>".$locale['fup131']."</td>
<td class='tbl2'>".$locale['fup132']."</td>
<td class='tbl2'>".$locale['fup136']."</td>
<td align='right' class='tbl2'>".$locale['fup133']."</td>
</tr>\n";
	$file_list = makefilelist($upload_folder, ".|..|index.php", true);
	if (!isset($file_list)) { $file_count = 0; } else { $file_count = count($file_list); }
	for ($i=0;$i < $file_count;$i++) {
		$file_size = filesize($upload_folder.$file_list[$i]);
		if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
		echo "<tr>
<td class='$row_color'><a href='".$settings['siteurl']."downloads/$file_list[$i]'>$file_list[$i]</a></td>
<td class='$row_color'>".($file_size > 0 ? parseByteSize($file_size) : "-----")."</td>";
$result = dbquery("SELECT * FROM ".$db_prefix."member_files WHERE file_name = '".$file_list[$i]."'");
$row = dbarray($result);
$file_user = $row['file_user'];
$result2 = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id = '".$file_user."'");
$row2 = dbarray($result2);
echo "<td class='$row_color'>".$row2['user_name']."</td>";
if ($userdata['user_id'] == $row['file_user'] || iSUPERADMIN)
{
	echo "<td align='right' class='$row_color'><a href='".FUSION_SELF.$aidlink."&del=".$file_list[$i]."'>".$locale['fup134']."</a></td>";
}
else
{
	echo "<td align='right' class='$row_color'>None</td>";
}
	}
	echo "</table>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>